#!/bin/bash

export Script_Dir="${0%/*}"
export Chronicall_Orient_Pid="chronicallOrientPid"

echo Attempting to stop Chronicall OrientDB
#If pid file exists and isn't empty
if [ -s "$Script_Dir"/"$Chronicall_Orient_Pid" ]
then
	#Save process info
	ps aux | grep -v grep | grep `cat "$Script_Dir"/"$Chronicall_Orient_Pid"` > "$Script_Dir"/chronicallOrientProcessAliveTest.txt
	#If process info exists
	if [ -s "$Script_Dir"/chronicallOrientProcessAliveTest.txt ]
	then
		echo Stopping Chronicall OrientDB \(pid `cat "$Script_Dir"/"$Chronicall_Orient_Pid"`\)
		kill -15 `cat "$Script_Dir"/"$Chronicall_Orient_Pid"`
	else
		echo Chronicall OrientDB is not running
	fi
	rm "$Script_Dir"/"$Chronicall_Orient_Pid"
	rm "$Script_Dir"/chronicallOrientProcessAliveTest.txt
else
	echo Chronicall OrientDB is not running
fi